# Interface PushCallback

public interface PushCallback
This callback interface is invoked when a push notification is received by the application. If the main class of the application implements push callback it will receive push notification calls from the system. Notice that its very possible that a separate instance of the main class will be created to perform the push!

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `REGISTRATION_ACCOUNT_MISSING`
  Error code returned when sending a push notification
  `static final int`
  `REGISTRATION_AUTHENTICATION_FAILED`
  Error code returned when sending a push notification
  `static final int`
  `REGISTRATION_ERROR_SERVICE_NOT_AVAILABLE`
  Error code returned when sending a push notification
  `static final int`
  `REGISTRATION_INVALID_SENDER`
  Error code returned when sending a push notification
  `static final int`
  `REGISTRATION_PHONE_REGISTRATION_ERROR`
  Error code returned when sending a push notification
  `static final int`
  `REGISTRATION_TOO_MANY_REGISTRATIONS`
  Error code returned when sending a push notification

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `push(String value)`
  Invoked when the push notification occurs
  `void`
  `pushRegistrationError(String error, int errorCode)`
  Invoked to indicate an error occurred during registration for push notification
  `void`
  `registeredForPush(String deviceId)`
  Invoked when push registration is complete to pass the device ID to the application.

- ## Field Details

  - ### REGISTRATION_ERROR_SERVICE_NOT_AVAILABLE

    static final int REGISTRATION_ERROR_SERVICE_NOT_AVAILABLE
    Error code returned when sending a push notification
    See Also:
      - Constant Field Values

  - ### REGISTRATION_ACCOUNT_MISSING

    static final int REGISTRATION_ACCOUNT_MISSING
    Error code returned when sending a push notification
    See Also:
      - Constant Field Values

  - ### REGISTRATION_AUTHENTICATION_FAILED

    static final int REGISTRATION_AUTHENTICATION_FAILED
    Error code returned when sending a push notification
    See Also:
      - Constant Field Values

  - ### REGISTRATION_TOO_MANY_REGISTRATIONS

    static final int REGISTRATION_TOO_MANY_REGISTRATIONS
    Error code returned when sending a push notification
    See Also:
      - Constant Field Values

  - ### REGISTRATION_INVALID_SENDER

    static final int REGISTRATION_INVALID_SENDER
    Error code returned when sending a push notification
    See Also:
      - Constant Field Values

  - ### REGISTRATION_PHONE_REGISTRATION_ERROR

    static final int REGISTRATION_PHONE_REGISTRATION_ERROR
    Error code returned when sending a push notification
    See Also:
      - Constant Field Values

- ## Method Details

  - ### push

    void push(String value)

    Invoked when the push notification occurs

    ###### Parameters

    - `value`: the value of the push notification

  - ### registeredForPush

    void registeredForPush(String deviceId)

    Invoked when push registration is complete to pass the device ID to the application.

    ###### Parameters

    - `deviceId`: OS native push id you should not use this value and instead use `Push.getPushKey()`

    ###### See also

    - Push#getPushKey()

  - ### pushRegistrationError

    void pushRegistrationError(String error, int errorCode)

    Invoked to indicate an error occurred during registration for push notification

    ###### Parameters

    - `error`: descriptive error string

    - `errorCode`: an error code